Subject: bug#47576: [security] ibus-daemon launches ungrafted subprocesses

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 20 Apr 2021 16:51:08 +0200

merge 47576 22707
thanks

Ludo, the patch looks good to me.  However, many ibus input 
methods are not provided by the ibus package itself, so for 
ibus-anthy or ibus-libpinyin we would need a different mechanism.

Would it make sense to introduce another environment variable 
(e.g. GUIX_IBUS_COMPONENTS_PATH) that specifies a search path on 
which components are looked up?  I feel that this partially 
defeats the purpose of having a cache, so perhaps this is 
nonsensical.

What do you think?

-- 
Ricardo